<%@ page language="java" contentType="text/html; charset=utf-8"%>
<%@ page import="java.io.*"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ include file="/jsp/common/include/localemessage.jsp" %>
<%
	response.setHeader("Pragma", "No-cache");
	response.setHeader("Cache-Control", "no-cache");
	response.setHeader("Expires", "0");
%>
<html>
<head>
	<title></title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<jsp:include page="/jsp/common/include/css.jsp"/>
	<jsp:include page="/jsp/common/include/script.jsp"/>
	<script language="javascript" >
		var url      = '<c:url value="/onl/apim/portalfaq/portalFaqMan.json" />';
		var url_view = '<c:url value="/onl/apim/portalfaq/portalFaqMan.view" />';

		function formatuseYn(cellvalue, options, rowObject) {
			return cellvalue === 'N'
					? '<span style="color: red;">미사용</span>'
					: '<span>사용</span>';
		}

		$(document).ready(function() {
			$('#grid').jqGrid({
				datatype:"json",
				mtype: 'POST',
				url: url,
				postData : { cmd : 'LIST',
							 searchSubjectDetail: $('input[name=searchSubjectDetail]').val()
				},
				colNames:['id', 'No.', '제목', '사용', '마지막 수정일', '등록일', '등록자'],
				colModel:[
					{ name : 'id'               , align:'center', key:true, hidden:true},
					{ name : 'rowNum'           , align:'center', width:50, sortable:false },
					{ name : 'faqQuestion'      , align:'left'  , width:300 },
					{ name : 'useYn'            , align:'center', width:60, formatter: formatuseYn },
					{ name : 'lastModifiedDate' , align:'center', width:100, formatter: timeStampFormat },
					{ name : 'createdDate'      , align:'center', width:100, formatter: timeStampFormat },
					{ name : 'createdByName'	, align:'center', width:70 }
				],
				jsonReader: {
					repeatitems:false
				},
				pager : $('#pager'),
				page : '${param.page}',
				rowNum : '${rmsDefaultRowNum}',
				autoheight: true,
				height: $("#container").height(),
				autowidth: true,
				viewrecords: true,
				rowList : eval('[${rmsDefaultRowList}]'),
				ondblClickRow: function(rowId) {
					var rowData = $(this).getRowData(rowId);
					var id = rowData['id'];
					var url2 = url_view;
					url2 += '?cmd=DETAIL';
					url2 += '&page='+$(this).getGridParam("page");
					url2 += '&returnUrl='+getReturnUrl();
					url2 += '&menuId='+'${param.menuId}';
					url2 += '&id='+id;
					goNav(url2);
				},
				gridComplete: function() {
					var records = $(this).getGridParam('records');
					var page = $(this).getGridParam('page');
					var rowNum = $(this).getGridParam('rowNum');
					var rows = $(this).getDataIDs();

					for (var i = 0; i < rows.length; i++) {
						var number = ((page - 1) * rowNum + i) + 1;
						// var reverseNumber = records - ((page - 1) * rowNum + i);
						$(this).setCell(rows[i], 'rowNum', number);
					}
				},
				loadError: function (jqXHR, textStatus, errorThrown) {
					var location ='<%=request.getContextPath()%>/';
					comloadError(jqXHR, textStatus, errorThrown ,location);
				}
			});

			resizeJqGridWidth('grid','content_middle','1000');

			$("#btn_search").click(function(){
				var postData = getSearchForJqgrid("cmd","LIST");
				$("#grid").setGridParam({ url:url,postData: postData ,page:1 }).trigger("reloadGrid");
			});

			$("#btn_new").click(function(){
				var url2 = url_view;
				url2 += '?cmd=DETAIL';
				url2 += '&page='+$("#grid").getGridParam("page");
				url2 += '&returnUrl='+getReturnUrl();
				url2 += '&menuId='+'${param.menuId}';
				goNav(url2);
			});

			$("input[name^=search]").keydown(function(key){
				if (key.keyCode == 13){
					$("#btn_search").click();
				}
			});

			buttonControl();
		});
	</script>
</head>
<body>
<div class="right_box">
	<div class="content_top">
		<ul class="path">
			<li><a href="#">${rmsMenuPath}</a></li>
		</ul>
	</div><!-- end content_top -->
	<div class="content_middle" id="content_middle">
		<div class="search_wrap">
			<button type="button" class="cssbtn" id="btn_new" level="W"><i class="material-icons">add</i> <%= localeMessage.getString("button.new") %></button>
			<button type="button" class="cssbtn" id="btn_search" level="R"><i class="material-icons">search</i> <%= localeMessage.getString("button.search") %></button>
		</div>
		<div class="title">FAQ 목록</div>
		<form id="ajaxForm"  onsubmit="return false;">
			<table class="search_condition" cellspacing=0;>
				<tbody>
				<tr>
					<th style="width:180px;">사용여부</th>
					<td>
						<div class="select-style">
							<select name="searchUseYn">
								<option value="">전체</option>
								<option value="Y">사용</option>
								<option value="N">미사용</option>
							</select>
						</div>
					</td>
					<th style="width:180px;">제목/내용</th>
					<td><input type="text" name="searchQuestionOrAnswer"></td>
				</tr>
				</tbody>
			</table>
		</form>
		<table id="grid" ></table>
		<div id="pager"></div>

	</div><!-- end content_middle -->
</div><!-- end right_box -->
</body>
</html>